import os
import sys
import fileinput

chr_filename = raw_input('Please enter chromosome/assembly stem of the file to be cleaned, e.g."chr2R" for "chr2R_oligo.txt" : ')
assembly = raw_input('Please enter the chromosome/contig, e.g. "chr2R" or "chrX" : ') #for writing to output .bed, more desirable than a descriptive name like "geneA" for downstream applications
oligo_file = (chr_filename + '_oligo.txt')
output_oligo_file = open(chr_filename + '_clean_oligo.txt', 'w')
bed_file = open(chr_filename  + '.bed', 'w')

bed_list = []
output_list = []

for lines in fileinput.input([oligo_file]):
    coordinate_list_ar = lines.strip().split('\t')
    if coordinate_list_ar[0][0:9] != 'range=chr':
        pass
    else:
        colon_index_ar = lines.find(':')
        hyphen_index = coordinate_list_ar[0].find('-')
        equalsign_index = coordinate_list_ar[0].find('=')
        nine_index = coordinate_list_ar[0].rfind('9')
        chr_name = coordinate_list_ar[0][equalsign_index+1:colon_index_ar+1]    
        chr_name_count = coordinate_list_ar[7].count(chr_name)
        target_count = coordinate_list_ar[7].count('range')
        below70_count = 0
        output = ('target_count=>'+ '\t' + str(target_count) + '\t' + 'below_70=>'+ '\t'
                  + str(below70_count) + '\t' + lines)
        start = (int(coordinate_list_ar[0][(colon_index_ar + 1):hyphen_index]) + (int(coordinate_list_ar[1])-1))
        end = ((start)+31)
        bed_format = (assembly + '\t' + str(start) + '\t' + str(end) + '\t' + coordinate_list_ar[8] + '\t' + coordinate_list_ar[6] + '\n')
        if not ';' in coordinate_list_ar[7]:
            if not chr_name in coordinate_list_ar[7]:
                pass
            else:
                if chr_name_count == target_count:
                    if float(coordinate_list_ar[6]) < 70.00:
                        below70_count += 1
                        output_oligo_file.write(output)
                        bed_list.append(bed_format)
                    else:
                        below70_count = below70_count
                        output_oligo_file.write(output)
                        bed_list.append(bed_format)
                else:
                    pass             
        else:
            if chr_name_count == 0:
                pass
            else:
                if chr_name_count == target_count:
                    ar2 = coordinate_list_ar[7].split(';')
                    e = ar2[1:]
                    output_oligo_file.write(output)
                    bed_list.append(bed_format)
                else:
                    pass
bed_file.write(''.join(bed_list))

output_oligo_file.close()
bed_file.close()
