import os
import sys
import fileinput

inputFile = raw_input('Please enter the filename, "chr2R_sorted_oligo.txt" or "chr2R_intersect.bed" etc.: ') # you need to enter the exact filename
fileName = raw_input('Please enter the chromosome or assembly, "chr1 or ch2R, etc.: ') #grabbing the assembly name to plug into the output bed file
grabFilename = inputFile.find('.')                              # this two lines are used for grabbing the name of the file, for example if the file is "chr1.fasta",
                                                                # this lines grabs 'chr1' and writes it as part of output filename.
var1 = inputFile[:grabFilename]

out = open('in_' + str(var1) + '.fas', 'w')  # we open the output file for writing

readFile = open(inputFile, 'r')                                 # open input file for reading
line = readFile.readlines()                                     # readlines from input file
fileLength = len(line)                                          # takes the length of the file, number of the rows
bases = ''                                                      # define parameter, bases as a string ''
count = 0                                                       # define parameter, count as an integer '0'
seqList = []                                                    # define empty list, seqList
header = '>'                                                    # define parameter, header as a string, '>'
counter = 0                                                     # define parameter, counter as an integer, '0'

for i in range(fileLength):                                     # start a for loop for reading the file line by line
    if i == 0:
    	pass
    else:
    	length = len(line[i]) -1
    	count = count
    	lines = line[i].rstrip('\n')
    	for l in range(length):                                     # start another for loop for reading every character of each line
        	if int(count) == (1000):
            		start = (counter*1000)                              # define starting position of each kb(1kb)
            		end = (start + 999)                                 # define ending poition of each kb(1kb)
            		seqList.append(header + 'range=' + str(fileName) + ':' + str(start) + '-' + str(end) + '\n')    # append every kb to a list
            		seqList.append(bases + '\n')                                                                    # append bases to each kb
            		count = 1                                                                                       # count number of characters in each kb
            		bases = lines[l]
            		counter += 1
        	else:
           		count += 1
            	bases += lines[l]
start2 = (counter*1000)                                                                                     # these three lines are for writing the remaining bases to an output file
end2 = ((counter*1000) + count)
seqList.append(header + 'range=' + str(fileName) + ':' + str(start2) + '-' + str(end2) + '\n' + bases + '\n')
out.write(''.join(seqList)) # write seqList to an output file
readFile.close()            # close an input file
out.close()                 # close an output file
